HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get TOU Intervals

Retrieve concrete date-time intervals for one time-of-use definition.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve intervals for a single time-of-use definition.

Use this endpoint to convert one touId into concrete date-time intervals for a requested period. This is useful when you need to know exactly when a specific TOU applies.

Resource URI

GET /rest/public/timeofuses/intervals/{touId}

Path parameters

ParameterTypeDescription
touIdLongUnique Arcadia ID for the time-of-use definition. Required.

Query parameters

ParameterTypeDescription
fromDateTimeDateTimeStart date and time for returned intervals. Defaults to the current date and time when omitted. Optional.
toDateTimeDateTimeEnd date and time for returned intervals. Defaults to one week after fromDateTime when omitted. Optional.

For the full interval data model and examples, see Time of Uses.

Example

GET /rest/public/timeofuses/intervals/1?fromDateTime=2016-09-19T17:19:08-04:00&toDateTime=2016-09-19T19:00:00-04:00

A successful response returns a standard response payload with type set to TimeOfUseIntervals and results containing matching intervals for the requested TOU.

Path Params
int64
required

Unique Arcadia ID (primary key) for each time of use. This is unique across all LSEs.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json